<?php
 
 
 

namespace PhpWA\Protocol\Proto\Message\HighlyStructuredMessage;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class HSMLocalizableParameter extends \Google\Protobuf\Internal\Message
{
    


    protected $default = null;
    protected $paramOneof;

    










    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getDefault()
    {
        return isset($this->default) ? $this->default : '';
    }

    public function hasDefault()
    {
        return isset($this->default);
    }

    public function clearDefault()
    {
        unset($this->default);
    }

    




    public function setDefault($var)
    {
        GPBUtil::checkString($var, True);
        $this->default = $var;

        return $this;
    }

    



    public function getCurrency()
    {
        return $this->readOneof(2);
    }

    public function hasCurrency()
    {
        return $this->hasOneof(2);
    }

    




    public function setCurrency($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\Message\HighlyStructuredMessage\HSMLocalizableParameter\HSMCurrency::class);
        $this->writeOneof(2, $var);

        return $this;
    }

    



    public function getDateTime()
    {
        return $this->readOneof(3);
    }

    public function hasDateTime()
    {
        return $this->hasOneof(3);
    }

    




    public function setDateTime($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\Message\HighlyStructuredMessage\HSMLocalizableParameter\HSMDateTime::class);
        $this->writeOneof(3, $var);

        return $this;
    }

    


    public function getParamOneof()
    {
        return $this->whichOneof("paramOneof");
    }

}

